DevHeads.net

Postings by Christoph Junghans

OpenMPI is flaky

Hi,

I was trying to bump the espresso package to v4.1.1 and came across
multiple issues in the %check phase of the builds on Rawhide, F31 and
EPEL8.

On Rawhide and F31, some tests seem to receive an error in the MPI_INIT phase.
Error:
*** An error occurred in MPI_Init
*** on a NULL communicator
This happened with OpenMPI, but not MPICH.
I was able to workaround these failures by retriggering the builds a
couple of times, which isn't a great solution.

Upstream issues on that topic:
Rawhide: <a href="https://github.com/espressomd/espresso/issues/3306" title="https://github.com/espressomd/espresso/issues/3306">https://github.com/espressomd/espresso/issues/3306</a>
F31: <a href="https://github.com/espressomd/espresso/issues/" title="https://github.com/espressomd/espresso/issues/">https://github.com/espressomd/espresso/issues/</a>

Unretire txt2tags package?

Hi,

txt2tags was recently retired due to FTBFS
(<a href="https://bugzilla.redhat.com/show_bug.cgi?id=1676168" title="https://bugzilla.redhat.com/show_bug.cgi?id=1676168">https://bugzilla.redhat.com/show_bug.cgi?id=1676168</a>) as it requires
python2.

txt2tags is still needed for some of my packages, e.g. votca-csg to
build manpages.

There is an python3 port of the last release by rednotebook (see
<a href="https://github.com/txt2tags/txt2tags/issues/207#issuecomment-461846655" title="https://github.com/txt2tags/txt2tags/issues/207#issuecomment-461846655">https://github.com/txt2tags/txt2tags/issues/207#issuecomment-461846655</a>),
which we could package.

Any objections? Alternatively, we could disable the manpages in votca-csg.

Christoph

error: More than one file on a line

Hi,

related to <a href="https://src.fedoraproject.org/rpms/kim-api/pull-request/1" title="https://src.fedoraproject.org/rpms/kim-api/pull-request/1">https://src.fedoraproject.org/rpms/kim-api/pull-request/1</a>
I am getting a strange error:

RPM build errors:
BUILDSTDERR: More than one file on a line: /_kim-api-collections-management
BUILDSTDERR: More than one file on a line:
/kim-api-collections-management.bash
(see <a href="https://koji.fedoraproject.org/koji/taskinfo?taskID=36767148" title="https://koji.fedoraproject.org/koji/taskinfo?taskID=36767148">https://koji.fedoraproject.org/koji/taskinfo?taskID=36767148</a>)
I remember I have seen this before for bash-completion files, but I
can unfortunately not remember what the solution was.

the lines in the spec triggering this install are:
%files
...
%{z_compdir}/_kim-api-collections-management
%{z_compdir}/kim

module load inside rpmbuild inside docker

Hi,

I wanted to bump the legion package to 19.04.0
(<a href="https://bugzilla.redhat.com/show_bug.cgi?id=1705033" title="https://bugzilla.redhat.com/show_bug.cgi?id=1705033">https://bugzilla.redhat.com/show_bug.cgi?id=1705033</a>), however for
some reason all tests segfault with openmpi
(<a href="https://koji.fedoraproject.org/koji/taskinfo?taskID=34577005" title="https://koji.fedoraproject.org/koji/taskinfo?taskID=34577005">https://koji.fedoraproject.org/koji/taskinfo?taskID=34577005</a>), so I
reported this upstream
(<a href="https://github.com/StanfordLegion/legion/issues/533" title="https://github.com/StanfordLegion/legion/issues/533">https://github.com/StanfordLegion/legion/issues/533</a>) and included a
minimal dockerfile to reproduce this issue:

FROM fedora:rawhide
RUN dnf install -y spectool wget rpm-build dnf-plugins-core
RUN wget <a href="https://src.fedoraproject.org/fork/junghans/rpms/legion/raw/master/f/legion.spec" title="https://src.fedoraproject.org/fork/junghans/rpms/legion/raw/master/f/legion.spec">https://src.fedoraproject.org/fork/junghans/rpms/legion/raw/master/f/leg...</a>
RUN spectool -g legion.spec
RUN dnf builddep -y legion.spec
R

openmpi breakage on Rawhide

Hi all,

Some of my packages failed to build due to a openmpi breakage

DEBUG util.py:554: BUILDSTDERR: Error:
DEBUG util.py:554: BUILDSTDERR: Problem: package
openmpi-devel-3.1.3-3.fc31.x86_64 requires
libmpi.so.40()(64bit)(openmpi-x86_64), but none of the providers can
be installed
DEBUG util.py:554: BUILDSTDERR: - package
openmpi-devel-3.1.3-3.fc31.x86_64 requires
libmpi_cxx.so.40()(64bit)(openmpi-x86_64), but none of the providers
can be installed
DEBUG util.py:554: BUILDSTDERR: - package
openmpi-devel-3.1.3-3.fc31.x86_64 requires
libmpi_mpifh.so.40()(64bit)(openmpi-x86_64), but n

Assertion in stl_vector.h

Hi,

I am trying to debug <a href="https://bugzilla.redhat.com/show_bug.cgi?id=1674863" title="https://bugzilla.redhat.com/show_bug.cgi?id=1674863">https://bugzilla.redhat.com/show_bug.cgi?id=1674863</a>
however I cannot reproduce the issue locally using mock:
<a href="https://github.com/espressomd/espresso/issues/2507#issuecomment-463262689" title="https://github.com/espressomd/espresso/issues/2507#issuecomment-463262689">https://github.com/espressomd/espresso/issues/2507#issuecomment-463262689</a>
nor can upstream, however it still fails in a recent scratch build:
<a href="https://koji.fedoraproject.org/koji/taskinfo?taskID=32789573" title="https://koji.fedoraproject.org/koji/taskinfo?taskID=32789573">https://koji.fedoraproject.org/koji/taskinfo?taskID=32789573</a>

Any ideas on how to attack this?

Christoph

Debugging ppc64le

Hi,

While packaging up votca-csg-1.5, I ran into some tests failing:
<a href="https://github.com/votca/csg/issues/326" title="https://github.com/votca/csg/issues/326">https://github.com/votca/csg/issues/326</a>
but this only happens on ppc64le under epel7. (So I expect boost-1.53
being the culprit!)

Is there a good way (qemu or something) to debug this interactively?

Cheers,

Christoph

Review Swap

Hi,

could someone with MPI experience do these reviews:

1.) mpibash - Parallel scripting right from the Bourne-Again Shell
<https://bugzilla.redhat.com/show_bug.cgi?id=1513582>
2.) libcircle - A library used to distribute workloads
<https://bugzilla.redhat.com/show_bug.cgi?id=1513733>

Except for the mpi parts both packages are standard autotools.

I will take reviews in exchange.

Thanks,

Christoph

Review swap

Hi all,

could somebody please review the package of this small library:
<https://bugzilla.redhat.com/show_bug.cgi?id=1462443> ?

I will take another review in exchange.

Thanks,

Christoph

Review Swap

Hi all,

As Besser82 is still missing in action, could somebody with MPI
experience finish this review:
<https://bugzilla.redhat.com/show_bug.cgi?id=1382755>

I will take another review in exchange.

Thanks,

Christoph

review swap

Hi all,

I have a small parallelization library for review [1]. Any volunteers?

Cheers,

Christoph

[1] <a href="https://bugzilla.redhat.com/show_bug.cgi?id=1382755" title="https://bugzilla.redhat.com/show_bug.cgi?id=1382755">https://bugzilla.redhat.com/show_bug.cgi?id=1382755</a>

Review Swaps

Hi,

I have a package which is in need of a review, anyone interested in a swap?

gasnet - A Portable High-Performance Communication Layer for GAS Languages
* <a href="https://bugzilla.redhat.com/show_bug.cgi?id=1375744" title="https://bugzilla.redhat.com/show_bug.cgi?id=1375744">https://bugzilla.redhat.com/show_bug.cgi?id=1375744</a>

Cheers,

Christoph